#!/usr/bin/env bash

stats_raw=`echo '{"id":0,"jsonrpc":"2.0","method":"miner_getstat_hive"}' | nc -w ${API_TIMEOUT} localhost ${MINER_API_PORT} | jq '.result | (.stats.algo) |= ascii_downcase'`

if [[ $? -ne 0  || -z $stats_raw ]]; then
  echo -e "${YELLOW}Failed to read stats_raw from localhost:${MINER_API_PORT}{NOCOLOR}"
else
  stats=$(jq -r '.stats' <<< "$stats_raw")
  khs=$(jq -r '.khs' <<< "$stats_raw")
fi

[[ -z $khs ]] && khs=0
[[ -z $stats ]] && stats="null"
